Bug 1285116 - Add support for MIPS release 6
Add support for MIPS release 6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MIPS
  Show dependency treegraph
 
Reported: 2015-11-24 17:13 EST by Michal Toman
Modified: 2016-02-19 07:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-19 07:15:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add-support-for-MIPS-release-6.patch (7.62 KB, patch)
2015-11-24 17:13 EST, Michal Toman
no flags Details | Diff

  None (edit)
Description Michal Toman 2015-11-24 17:13:16 EST
Created attachment 1098439 [details]
Add-support-for-MIPS-release-6.patch

Description of problem:
We will be bootstrapping Fedora for MIPS release 6 in the future and this needs support in RPM. Since this increases the number of MIPS-related architectures to 8, helper macros would be useful - %mips32, %mips64, %mipsel, %mipseb

Actual results:
No MIPS release 6 support

Expected results:
MIPS release 6 is supported

Additional info:
MIPS release 6 is binary incompatible with former versions and needs to be treated as a separate architecture.

Attaching dist-git patch.
Comment 1 Florian Festi 2016-02-19 07:15:24 EST
Added patch upstream. Will get into rawhide with the next package build.

Note You need to log in before you can comment on or make changes to this bug.